Initiate customer KYC
Generates a KYC verification link for a customer. The link can be used to start the identity verification process.
Generates a KYC verification link for a customer. The link can be used to start the identity verification process.
Authorization
bearerAuth Organization API key obtained from PropelAuth
In: header
Path Parameters
Unique identifier of the customer
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST 'https://compose.finance/api/v2/customers/{customerId}/kyc' \ -H 'Authorization: Bearer YOUR_API_KEY'{
"kycVerified": false,
"kycFlowLink": "https://in.sumsub.com/websdk/p/US4gqJHi7mBs56Co"
}{
"error": "KYC link generation is not available for corporate customers"
}{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "Customers feature is not enabled for your organization"
}{
"error": "Customer not found"
}{
"error": "Internal server error"
}Get customer verified address GET
Returns the address on file for a customer. For individual customers, this is extracted from KYC verification data (proof of address). For corporate customers, this is the stored business address. This address is automatically used when creating a first-party withdrawal bank without providing an address.
Submit customer KYC POST
Manually submit a customer's KYC documents for review. This endpoint is typically not needed as verification is automatically triggered when all required steps are completed via the WebSDK link or API document uploads. Use this endpoint only if auto-submission fails. Cannot be called if review is already in progress or completed. Maximum 4 attempts allowed.